CustomSorter (gCube Resource Management Portlet 4.0.0-SNAPSHOT API)
Date: 2013-02-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails
Class CustomSorter

    java.lang.Object
      com.extjs.gxt.ui.client.store.StoreSorter<com.extjs.gxt.ui.client.data.ModelData>
          org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails.CustomSorter

    public class CustomSorter

extends com.extjs.gxt.ui.client.store.StoreSorter<com.extjs.gxt.ui.client.data.ModelData>

Field Summary

Fields inherited from class com.extjs.gxt.ui.client.store.StoreSorter
`comparator, DEFAULT_COMPARATOR`

Constructor Summary
`CustomSorter()`

Method Summary
`int` | `compare(com.extjs.gxt.ui.client.store.Store<com.extjs.gxt.ui.client.data.ModelData> store, com.extjs.gxt.ui.client.data.ModelData m1, com.extjs.gxt.ui.client.data.ModelData m2, String property)` need to recalculate the percentage as the returned value is not what the render returns

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomSorter

    public CustomSorter()

Method Detail

### compare

    public int compare(com.extjs.gxt.ui.client.store.Store<com.extjs.gxt.ui.client.data.ModelData> store,
                       com.extjs.gxt.ui.client.data.ModelData m1,
                       com.extjs.gxt.ui.client.data.ModelData m2,
                       String property)

  need to recalculate the percentage as the returned value is not what the render returns

  Overrides:
    `compare` in class `com.extjs.gxt.ui.client.store.StoreSorter<com.extjs.gxt.ui.client.data.ModelData>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.